Package org.kie.internal.runtime.manager.audit.query

## Interface ProcessInstanceLogDeleteBuilder

- All Superinterfaces:
    `AuditDeleteBuilder<ProcessInstanceLogDeleteBuilder>`, `ParametrizedQueryBuilder<ProcessInstanceLogDeleteBuilder>`

      public interface ProcessInstanceLogDeleteBuilder
      extends AuditDeleteBuilder<ProcessInstanceLogDeleteBuilder>

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ProcessInstanceLogDeleteBuilder` | `endDate​(java.util.Date... date)` | Specify one or more (process instance) end dates as a criteria
    `ProcessInstanceLogDeleteBuilder` | `endDateRangeEnd​(java.util.Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogDeleteBuilder` | `endDateRangeStart​(java.util.Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the end date field.
    `ProcessInstanceLogDeleteBuilder` | `externalId​(java.lang.String... externalId)` | Specify externalId to be used as criteria on the externalId field.
    `ProcessInstanceLogDeleteBuilder` | `identity​(java.lang.String... identity)` | Specify one or more identiies (who started the process instance) as a criteria
    `ProcessInstanceLogDeleteBuilder` | `outcome​(java.lang.String... outcome)` | Specify one or more (process instance) outcomes as a criteria.
    `ProcessInstanceLogDeleteBuilder` | `processName​(java.lang.String... processName)` | Specify one or more process names as a criteria
    `ProcessInstanceLogDeleteBuilder` | `processVersion​(java.lang.String... version)` | Specify one or more process versions as a criteria
    `ProcessInstanceLogDeleteBuilder` | `startDate​(java.util.Date... date)` | Specify one or more (process instance) start dates as a criteria
    `ProcessInstanceLogDeleteBuilder` | `startDateRangeEnd​(java.util.Date rangeEnd)` | Specify the end of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogDeleteBuilder` | `startDateRangeStart​(java.util.Date rangeStart)` | Specify the begin of a date range to be used as a criteria on the start date field.
    `ProcessInstanceLogDeleteBuilder` | `status​(int... status)` | Specify one more statuses (in the form of an int) as criteria.

    - ### Methods inherited from interface org.kie.internal.runtime.manager.audit.query.AuditDeleteBuilder

      `build, logBelongsToProcessInDeployment, logBelongsToProcessInStatus, processId, processInstanceId, recordsPerTransaction`

    - ### Methods inherited from interface org.kie.internal.query.ParametrizedQueryBuilder

      `and, clear, equals, intersect, like, maxResults, offset, or, regex, union`

- - ### Method Detail

    - #### status

          ProcessInstanceLogDeleteBuilder status​(int... status)

      Specify one more statuses (in the form of an int) as criteria.
      Parameters:
        `status` - one or more int statuses
      Returns:
        The current instance of this query builder

    - #### outcome

          ProcessInstanceLogDeleteBuilder outcome​(java.lang.String... outcome)

      Specify one or more (process instance) outcomes as a criteria.
      Parameters:
        `outcome` - one or more string outcomes
      Returns:
        The current instance of this query builder

    - #### identity

          ProcessInstanceLogDeleteBuilder identity​(java.lang.String... identity)

      Specify one or more identiies (who started the process instance) as a criteria
      Parameters:
        `identity` - one or more string identities
      Returns:
        The current instance of this query builder

    - #### processVersion

          ProcessInstanceLogDeleteBuilder processVersion​(java.lang.String... version)

      Specify one or more process versions as a criteria
      Parameters:
        `version` - one or more string process versions
      Returns:
        The current instance of this query builder

    - #### processName

          ProcessInstanceLogDeleteBuilder processName​(java.lang.String... processName)

      Specify one or more process names as a criteria
      Parameters:
        `processName` - one or more string process names
      Returns:
        The current instance of this query builder

    - #### startDate

          ProcessInstanceLogDeleteBuilder startDate​(java.util.Date... date)

      Specify one or more (process instance) start dates as a criteria
      Parameters:
        `date` - one or more `Date` start dates
      Returns:
        The current instance of this query builder

    - #### startDateRangeStart

          ProcessInstanceLogDeleteBuilder startDateRangeStart​(java.util.Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the start date field. The date range includes the date specified.
      Parameters:
        `rangeStart` - the start (early end) of the date range
      Returns:
        The current query builder instance

    - #### startDateRangeEnd

          ProcessInstanceLogDeleteBuilder startDateRangeEnd​(java.util.Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the start date field. The date range includes this date.
      Parameters:
        `rangeEnd` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDate

          ProcessInstanceLogDeleteBuilder endDate​(java.util.Date... date)

      Specify one or more (process instance) end dates as a criteria
      Parameters:
        `date` - one or more `Date` end dates
      Returns:
        The current instance of this query builder

    - #### endDateRangeStart

          ProcessInstanceLogDeleteBuilder endDateRangeStart​(java.util.Date rangeStart)

      Specify the begin of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `date` - the begin (later end) of the date range
      Returns:
        The current query builder instance

    - #### endDateRangeEnd

          ProcessInstanceLogDeleteBuilder endDateRangeEnd​(java.util.Date rangeEnd)

      Specify the end of a date range to be used as a criteria on the end date field. The date range includes this date.
      Parameters:
        `date` - the end (later end) of the date range
      Returns:
        The current query builder instance

    - #### externalId

          ProcessInstanceLogDeleteBuilder externalId​(java.lang.String... externalId)

      Specify externalId to be used as criteria on the externalId field.
      Parameters:
        `externalId` - identifier that defines custom id
      Returns:
        The current query builder instance